package com.muyu.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.TaskInputInfo;
import com.muyu.service.TaskInputService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @PackageName:com.muyu.controller
 * @ClassName:TaskInputInfoController
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/27 21:35
 */

@RestController
@RequestMapping("/taskInput")
public class TaskInputInfoController {

    @Autowired
    private TaskInputService taskInputService;

    @PostMapping(value = "addTaskInput")
    public Result<String> addTaskInput(@RequestBody TaskInputInfo taskInputInfo){
        return Result.success(null,taskInputService.addTaskInput(taskInputInfo));
    }

}
